clear;
tspan=[0 30];
figure;
title('Phase portrait of pendulum','FontSize',20);
xlabel('Angle (rad)','FontSize',15);
ylabel('Velocity (rad/s)','FontSize',15);
pause(0.5);
for i=-4:0.5:4
    hold on;
    x0=[13;i];
    [t,x]=ode45(@undamped_pendulum,tspan,x0);
    plot(x(:,1), x(:,2),'k','LineWidth',2);
    drawnow;
    pause(0.1);
    [t,x]=ode45(@undamped_pendulum,tspan,[-13;i]);
    plot(x(:,1), x(:,2),'k','LineWidth',2);
    drawnow;
    pause(0.1);
end
pause(1);
axis([-15 15 -4 4]);
pause(1);

for i=-2:0.5:2
[t,x]=ode45(@undamped_pendulum, tspan, [-2*pi-pi/10,i]);
plot(x(:,1), x(:,2),'k','LineWidth',2)
drawnow;
pause(0.2);
[t,x]=ode45(@undamped_pendulum, tspan, [pi/10,i]);
plot(x(:,1), x(:,2), 'k','LineWidth',2)
drawnow;
pause(0.2);
[t,x]=ode45(@undamped_pendulum, tspan, [2*pi+pi/10,i]);
plot(x(:,1), x(:,2),'k','LineWidth',2);
drawnow;
pause(0.2);
end
hold off